#!/usr/bin/env python3
from .abcpreprocessor import AbcPreProcessor

"""
Abstract base class for Sender
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "soundpreprocessor"
__version__text__ = "1"


class SoundPreProcessor(AbcPreProcessor):
    """
    SoundPreProcessor class, responsible for detecting birb chirps in sound sample.
    """
    def preprocesssignal(self, signal):
        """
        Classify a sound sample.
        :return:
        """
        pass
