#!/usr/bin/env python3
from .abcsensor import AbcSensor

"""
Sound sensor high level API
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "soundsensor"
__version__text__ = "1"


class SoundSensor(AbcSensor):
    """
    SoundSensor class. Responsible for sound retrieval from any microphones present.
    """
    def getvalue(self):
        """
        Retrieve a 5 second sound clip from a microphone.
        :return:
        """
        pass
