#!/usr/bin/env python3
from .abcsignalprocessor import AbcSignalProcessor

"""
Abstract base class for signalprocessor
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "soundsignalprocessor"
__version__text__ = "1"


class SoundSignalProcessor(AbcSignalProcessor):
    """
    SoundSignalProcessor class, responsible for handling the sound signal processor pipeline.
    """
    def processcurrentsignal(self):
        """
        Process a sound sample.
        :return:
        """
        pass
